import { world } from "@minecraft/server"
import { ActionFormData, ModalFormData } from '@minecraft/server-ui'


world.afterEvents.itemUse.subscribe(event => {
    const player = event.source;
    if (event.itemStack.typeId == "minecraft:compass") {
        let fm = new ActionFormData();
        fm.title("§2§lWaypoints+");
        fm.body("Teleport everywhere!");
        fm.button("Set New Home");
        fm.button("/tp Home");
        fm.button("Custom Waypoint");
        fm.button("Reset Custom Waypoint")
        fm.show(player).then(result => {
            if (result.selection === 0) {
                player.runCommand('kill @e[type=bridge:homer]');
                player.runCommand('summon bridge:homer');

            }
            if (result.selection === 1) {
                player.runCommand('tp @s @e[type=bridge:homer] true');
            }
            if (result.selection === 2) {
                player.runCommand('tp @s @e[type=bridge:cstway] true');
            }
            if (result.selection === 3) {
                player.runCommand('kill @e[type=bridge:cstway]')
            }




        })
    }
})